## org.eclipse.m2m.atl.dsls.textsource
Class URLTextSource

    java.lang.Object
      org.eclipse.m2m.atl.dsls.textsource.TextSource
          org.eclipse.m2m.atl.dsls.textsource.URLTextSource

    public class URLTextSource

extends TextSource

Manages a text source by url.

Constructor Summary
`URLTextSource(java.lang.String url)` Constructor.
`URLTextSource(java.net.URL url)` Constructor.

Method Summary
`java.io.InputStream` `openStream()` Returns an input stream of the text source.

Methods inherited from class org.eclipse.m2m.atl.dsls.textsource.TextSource
`openBufferedReader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLTextSource

    public URLTextSource(java.net.URL url)

  Constructor.

  Parameters:
    `url` - the text source url

### URLTextSource

    public URLTextSource(java.lang.String url)
                  throws java.net.MalformedURLException

  Constructor.

  Parameters:
    `url` - the text source url, in a String form
  Throws:
    `java.net.MalformedURLException`

Method Detail

### openStream

    public java.io.InputStream openStream()
                                   throws java.io.IOException

  Returns an input stream of the text source.

  Specified by:
    `openStream` in class `TextSource`
  Returns:
    an input stream of the text source
  Throws:
    `java.io.IOException`
  See Also:
    `TextSource.openStream()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.